<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h4 class="modal-title" id="myDetailBBMLabel" jhiTranslate="mpmApp.detailBBM.home.createOrEditLabel">Create or edit a Detail BBM</h4>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"
                (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!detailBBM.id">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   [(ngModel)]="detailBBM.id" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.no_bbm" for="field_no_bbm">No Bbm</label>
            <input type="text" class="form-control" name="no_bbm" id="field_no_bbm"
                [(ngModel)]="detailBBM.no_bbm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.kd_bahan" for="field_kd_bahan">Kd Bahan</label>
            <input type="text" class="form-control" name="kd_bahan" id="field_kd_bahan"
                [(ngModel)]="detailBBM.kd_bahan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.qty" for="field_qty">Qty</label>
            <input type="number" class="form-control" name="qty" id="field_qty"
                [(ngModel)]="detailBBM.qty"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.satuan" for="field_satuan">Satuan</label>
            <input type="text" class="form-control" name="satuan" id="field_satuan"
                [(ngModel)]="detailBBM.satuan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.no_po" for="field_no_po">No Po</label>
            <input type="text" class="form-control" name="no_po" id="field_no_po"
                [(ngModel)]="detailBBM.no_po"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.no_batch" for="field_no_batch">No Batch</label>
            <input type="text" class="form-control" name="no_batch" id="field_no_batch"
                [(ngModel)]="detailBBM.no_batch"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.keterangan" for="field_keterangan">Keterangan</label>
            <input type="text" class="form-control" name="keterangan" id="field_keterangan"
                [(ngModel)]="detailBBM.keterangan"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.tgl_exp" for="field_tgl_exp">Tgl Exp</label>
            <div class="d-flex">
                <input id="field_tgl_exp" type="datetime-local" class="form-control" name="tgl_exp" [(ngModel)]="detailBBM.tgl_exp"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.tgl_exphal" for="field_tgl_exphal">Tgl Exphal</label>
            <div class="d-flex">
                <input id="field_tgl_exphal" type="datetime-local" class="form-control" name="tgl_exphal" [(ngModel)]="detailBBM.tgl_exphal"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.tgl_mfd" for="field_tgl_mfd">Tgl Mfd</label>
            <div class="d-flex">
                <input id="field_tgl_mfd" type="datetime-local" class="form-control" name="tgl_mfd" [(ngModel)]="detailBBM.tgl_mfd"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.lokasi" for="field_lokasi">Lokasi</label>
            <input type="text" class="form-control" name="lokasi" id="field_lokasi"
                [(ngModel)]="detailBBM.lokasi"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.no_lpm" for="field_no_lpm">No Lpm</label>
            <input type="text" class="form-control" name="no_lpm" id="field_no_lpm"
                [(ngModel)]="detailBBM.no_lpm"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.id_user" for="field_id_user">Id User</label>
            <input type="text" class="form-control" name="id_user" id="field_id_user"
                [(ngModel)]="detailBBM.id_user"  />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.tgl_input" for="field_tgl_input">Tgl Input</label>
            <div class="d-flex">
                <input id="field_tgl_input" type="datetime-local" class="form-control" name="tgl_input" [(ngModel)]="detailBBM.tgl_input"
                  />
            </div>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.detailBBM.jam_input" for="field_jam_input">Jam Input</label>
            <div class="d-flex">
                <input id="field_jam_input" type="datetime-local" class="form-control" name="jam_input" [(ngModel)]="detailBBM.jam_input"
                  />
            </div>
        </div>

    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal" (click)="clear()">
            <span class="fa fa-ban"></span>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
        </button>
        <button type="submit" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
            <span class="fa fa-save"></span>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
        </button>
    </div>
</form>
